.TH SPECIAL_DECALPHA 1 "Jun 23 1995" "Stanford University" "SUIF Compiler"
.SH NAME
special_decalpha \- special processing for DEC ALPHA back-end
.SH SYNOPSIS
.B special_decalpha
{ -in | -out | -prefetches-to-dec | -kill-dec-prefetches }
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I special_decalpha
program does special processing to interface with the DEC ALPHA
back-end compiler.  It does this by means of ``#pragma'' lines, both
``#pragma'' lines in the input from system header files that give SUIF
information about the back-end, and ``#pragma'' lines that SUIF puts
in the output C files to communicate information SUIF has to the
back-end compiler.  It also does special optimizations that are
specific to the DEC ALPHA back-end.
.sp
This program should be run twice, once after the front end with the
``-in'' option to read in annotations, and once just before s2c with
the ``-out'' option.  The ``-prefetches-to-dec'' and
``-kill-dec-prefetches'' options are only used if prefetching
instructions need to be passed to the DEC Fortran compiler.  If that
is the case, this program should be run two more times, once with
``-prefetches-to-dec'' before the Fortranizer, then once with
``-kill-dec-prefetches'' after the Fortranizer before the remaining
code is translated to C.
.SH HISTORY
This program was written by Chris Wilson.
